rb_objnew.d(1m)

NAME
rb_objnew.d - count Ruby object creation using DTrace.

SYNOPSIS
rb_objnew.d

DESCRIPTION
This traces Ruby activity from all programs running on the system with Ruby provider support. Filename and class names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_objnew.d

FIELDS

FILE
    Filename of the Ruby program

CLASS
    Class of new object

COUNT
    Number of object creations during tracing

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_objnew.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)